## ros-indigo-nao-interaction-msgs 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_interaction_msgs)

#List to make rest of code more readable
set( MESSAGE_DEPENDENCIES
    std_msgs
    actionlib_msgs
    geometry_msgs
    sensor_msgs
    nav_msgs
    trajectory_msgs)

#Declare build dependencies
find_package(catkin REQUIRED 
    COMPONENTS
    message_generation
    ${MESSAGE_DEPENDENCIES} )

#Add message files
add_message_files(DIRECTORY msg
    FILES
    #~ nao_vision
    FaceDetected.msg 
    MovementDetected.msg 
    LandmarkDetected.msg 
    #~ nao_audio
    AudioSourceLocalization.msg
)

#Add service files
add_service_files(DIRECTORY srv
    FILES
    #~ nao_vision
    VisionMotionSensitivity.srv
    LearnFace.srv
    #~ nao_audio
    AudioRecorder.srv
    AudioMasterVolume.srv
    AudioPlayback.srv
)

#And now generate the messages
generate_messages(DEPENDENCIES ${MESSAGE_DEPENDENCIES})

#Declare package run-time dependencies
catkin_package( CATKIN_DEPENDS message_runtime ${MESSAGE_DEPENDENCIES})

=== debian/changelog ===
ros-indigo-nao-interaction-msgs (0.1.5-0trusty) trusty; urgency=high

  * add learn face service
  * Contributors: tarukosu

 -- Manos Tsardoulias <etsardou@gmail.com>  Sat, 13 Dec 2014 23:00:00 -0000

ros-indigo-nao-interaction-msgs (0.1.4-0trusty) trusty; urgency=high



 -- Manos Tsardoulias <etsardou@gmail.com>  Wed, 12 Nov 2014 23:00:00 -0000

ros-indigo-nao-interaction-msgs (0.1.3-0trusty) trusty; urgency=high

  * remove useless dependencies to fix build
  * Contributors: Vincent Rabaud

 -- Manos Tsardoulias <etsardou@gmail.com>  Sun, 07 Sep 2014 22:00:00 -0000

ros-indigo-nao-interaction-msgs (0.1.2-0trusty) trusty; urgency=high



 -- Manos Tsardoulias <etsardou@gmail.com>  Sat, 06 Sep 2014 22:00:00 -0000

ros-indigo-nao-interaction-msgs (0.1.1-0trusty) trusty; urgency=high

  * Corrected maintainer name in package.xmls
  * Added the nao_interaction metapackage, the nao_interaction_launchers, nao_interaction_msgs, nao_vision and nao_audio packages
  * Initial commit. Transferring files from etsardou/nao_extras. Adding nao_vision and nao_audio functionalities
  * Contributors: Manos Tsardoulias

 -- Manos Tsardoulias <etsardou@gmail.com>  Sat, 06 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-interaction-msgs
Section: misc
Priority: extra
Maintainer: Manos Tsardoulias <etsardou@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: http://wiki.ros.org/nao_interaction_msgs
Standards-Version: 3.9.2

Package: ros-indigo-nao-interaction-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: Messages and services declarations for the nao_interaction metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-interaction-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
